Package org.eclipse.birt.chart.model.layout

# Interface ClientArea

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ClientAreaImpl`

public interface ClientArea extends IChartObject
A representation of the model object 'Client Area'. This type defines an modular area of a chart that can be positioned (and resized ?) during rendering / output.

The following features are supported:

- `Background`
- `Outline`
- `Shadow Color`
- `Insets`

See Also:
  - `LayoutPackage.getClientArea()`

## Method Summary

Modifier and Type
Method
Description
`ClientArea`
`copyInstance()`
`Fill`
`getBackground()`
Returns the value of the 'Background' containment reference.
`Insets`
`getInsets()`
Returns the value of the 'Insets' containment reference.
`LineAttributes`
`getOutline()`
Returns the value of the 'Outline' containment reference.
`ColorDefinition`
`getShadowColor()`
Returns the value of the 'Shadow Color' containment reference.
`boolean`
`isSetVisible()`
Returns whether the value of the '`Visible`' attribute is set.
`boolean`
`isVisible()`
Returns the value of the 'Visible' attribute.
`void`
`setBackground(Fill value)`
Sets the value of the '`Background`' containment reference.
`void`
`setInsets(Insets value)`
Sets the value of the '`Insets`' containment reference.
`void`
`setOutline(LineAttributes value)`
Sets the value of the '`Outline`' containment reference.
`void`
`setShadowColor(ColorDefinition value)`
Sets the value of the '`Shadow Color`' containment reference.
`void`
`setVisible(boolean value)`
Sets the value of the '`Visible`' attribute.
`void`
`unsetVisible()`
Unsets the value of the '`Visible`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getBackground

Fill getBackground()
Returns the value of the 'Background' containment reference. Gets the background fill for the client area. Holds the background for the client area.

Returns:
  the value of the 'Background' containment reference.
See Also:
  - `setBackground(Fill)`
  - `LayoutPackage.getClientArea_Background()`

### setBackground

void setBackground(Fill value)
Sets the value of the '`Background`' containment reference.

Parameters:
  `value` - the new value of the 'Background' containment reference.
See Also:
  - `getBackground()`

### getOutline

LineAttributes getOutline()
Returns the value of the 'Outline' containment reference. Gets the attributes of the border for the client area. Holds the outline information for the client area.

Returns:
  the value of the 'Outline' containment reference.
See Also:
  - `setOutline(LineAttributes)`
  - `LayoutPackage.getClientArea_Outline()`

### setOutline

void setOutline(LineAttributes value)
Sets the value of the '`Outline`' containment reference.

Parameters:
  `value` - the new value of the 'Outline' containment reference.
See Also:
  - `getOutline()`

### getShadowColor

ColorDefinition getShadowColor()
Returns the value of the 'Shadow Color' containment reference. Gets the shadow color of the client area. If this is not specified, the client area will not have a shadow. Specifies the shadow color for the client area.

Returns:
  the value of the 'Shadow Color' containment reference.
See Also:
  - `setShadowColor(ColorDefinition)`
  - `LayoutPackage.getClientArea_ShadowColor()`

### setShadowColor

void setShadowColor(ColorDefinition value)
Sets the value of the '`Shadow Color`' containment reference.

Parameters:
  `value` - the new value of the 'Shadow Color' containment reference.
See Also:
  - `getShadowColor()`

### getInsets

Insets getInsets()
Returns the value of the 'Insets' containment reference. Specifies the insets for the client area.

Returns:
  the value of the 'Insets' containment reference.
See Also:
  - `setInsets(Insets)`
  - `LayoutPackage.getClientArea_Insets()`

### setInsets

void setInsets(Insets value)
Sets the value of the '`Insets`' containment reference.

Parameters:
  `value` - the new value of the 'Insets' containment reference.
See Also:
  - `getInsets()`

### isVisible

boolean isVisible()
Returns the value of the 'Visible' attribute. The default value is `"true"`. Attribute "Visible" specifies whether client area is visible.

Returns:
  the value of the 'Visible' attribute.
See Also:
  - `isSetVisible()`
  - `unsetVisible()`
  - `setVisible(boolean)`
  - `LayoutPackage.getClientArea_Visible()`

### setVisible

void setVisible(boolean value)
Sets the value of the '`Visible`' attribute.

Parameters:
  `value` - the new value of the 'Visible' attribute.
See Also:
  - `isSetVisible()`
  - `unsetVisible()`
  - `isVisible()`

### unsetVisible

void unsetVisible()
Unsets the value of the '`Visible`' attribute.

See Also:
  - `isSetVisible()`
  - `isVisible()`
  - `setVisible(boolean)`

### isSetVisible

boolean isSetVisible()
Returns whether the value of the '`Visible`' attribute is set.

Returns:
  whether the value of the 'Visible' attribute is set.
See Also:
  - `unsetVisible()`
  - `isVisible()`
  - `setVisible(boolean)`

### copyInstance

ClientArea copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`